
* 2018 11 18

Put "Energy Equipment installation in kW"/;
Loop(T,
 Put t.tl/;
  loop(c,
     Put "",c.TL;
     Put /;
     Put "","","","CGS","Gas heater", "Gas boiler","Absorp.chiller","HeatPump","PV","Battery",
         "Heat echanger","HotWater trans.",
         "Chilled water trans","HP for River", "HP for Ground","HP for Subway"/;
     Loop(r,
       Put "","", r.TL;
          Put x_cap.L(t,r,c):12:4, g_hr_cap.L(t,r,c):12:4, g_bo_cap.L(t,r,c):12:4,Absc_cap.L(t,r,c):12:4 ,
              HP_cap.L(t,r,c):12:4, PV_cap.L(t,r,c):12:4, Cap_Btry.L(t,r,c):12:4, HX.L(t,r,c):12:4, HW_tr_cap.L(t,r,c):12:4,
              CW_tr_cap.L(t,r,c):12:4, RvHP_cap.L(t,r,c):12:4, GdHP_cap.L(t,r,C):12:4, SwHP_cap.L(t,r,c):12:4;
       Put /;
     );
  );

     Put "","DHC";
     Put /;
     Put "","","","CGS","Gas heater", "Gas boiler","Absorp.chiller","HeatPump","PV", "Battery", "Heat echanger","HotWater trans.",
         "Chilled water trans","HP for River", "HP for Ground","HP for Subway"/;
     Loop(r,
       Put "","", r.TL;
          Put x_cap.L(t,r,"DHC"):12:4, "0.0", g_bo_cap.L(t,r,"DHC"):12:4,Absc_cap.L(t,r,"DHC"):12:4 ,
              "0.0", "0.0", Cap_Btry.L(t,r,"DHC"):12:4, HX.L(t,r,"DHC"):12:4, "0.0",
               "0.0", "0.0", "0.0", "0.0";
       Put /;
     );

  Put //;
);

  wrk1(t,r)=sum(c, x_cap.L(t,r,c) );
  wrk2(t,r)=sum(c, g_hr_cap.L(t,r,c) );
  wrk3(t,r)=sum(c, g_bo_cap.L(t,r,c) );
  wrk4(t,r)=sum(c, Absc_cap.L(t,r,c) );
  wrk5(t,r)=sum(c, HP_cap.L(t,r,c) );
  wrk6(t,r)=sum(c, PV_cap.L(t,r,c) );
  wrk7(t,r)=sum(c, HX.L(t,r,c) );
  wrk8(t,r)=sum(c, HW_tr_cap.L(t,r,c) );
  wrk9(t,r)=sum(c, CW_tr_cap.L(t,r,c) );

  wrk10(t,r)=sum(c, RvHP_cap.L(t,r,c) );
  wrk11(t,r)=sum(c, GdHP_cap.L(t,r,c) );
  wrk12(t,r)=sum(c, SWhp_cap.L(t,r,c) );
  wrk13(t,r)=sum(c, Cap_Btry.L(t,r,c) );

*** 20190527

Loop(T,
 Put t.tl/;
     Put "","Consumer total";
     Put /;
     Put "","","","CGS","Gas heater", "Gas boiler","Absorp.chiller","HeatPump","PV","Battery","Heat echanger","HotWater trans.",
         "Chilled water trans","HP for River", "HP for Ground","HP for Subway"/;
     Loop(r,
       Put "","", r.TL;
          Put Wrk1(t,r):12:4, Wrk2(t,r):12:4, Wrk3(t,r):12:4, Wrk4(t,r):12:4, Wrk5(t,r):12:4, Wrk6(t,r):12:4,Wrk13(t,r):12:4,
          Put Wrk7(t,r):12:4, Wrk8(t,r):12:4, Wrk9(t,r):12:4, Wrk10(t,r):12:4, Wrk11(t,r):12:4, Wrk12(t,r):12:4;
       Put /;
     );
  Put //;
);

  wrk1(t,r)=sum(k, x_cap.L(t,r,k) );
  wrk2(t,r)=sum(c, g_hr_cap.L(t,r,c) );
  wrk3(t,r)=sum(c, g_bo_cap.L(t,r,c) )+D_gbo_cap.L(t,r);
  wrk4(t,r)=sum(k, Absc_cap.L(t,r,k) );
  wrk5(t,r)=sum(c, HP_cap.L(t,r,c) );
  wrk6(t,r)=sum(c, PV_cap.L(t,r,c) );
  wrk7(t,r)=sum(k, HX.L(t,r,k) );
  wrk8(t,r)=sum(c, HW_tr_cap.L(t,r,c) );
  wrk9(t,r)=sum(c, CW_tr_cap.L(t,r,c) );

  wrk10(t,r)=sum(k, RvHP_cap.L(t,r,k) );
  wrk11(t,r)=sum(k, GdHP_cap.L(t,r,k) );
  wrk12(t,r)=sum(c, SWhp_cap.L(t,r,c) );
  wrk13(t,r)=sum(k, Cap_Btry.L(t,r,k) );

Loop(T,
 Put t.tl/;
     Put "","Region total";
     Put /;
     Put "","","","CGS","Gas heater", "Gas boiler","Absorp.chiller","HeatPump","PV","Battery","Heat echanger","HotWater trans.",
         "Chilled water trans","HP for River", "HP for Ground","HP for Subway"/;
     Loop(r,
       Put "","", r.TL;
          Put Wrk1(t,r):12:4, Wrk2(t,r):12:4, Wrk3(t,r):12:4, Wrk4(t,r):12:4, Wrk5(t,r):12:4, Wrk6(t,r):12:4,Wrk13(t,r):12:4,
          Put Wrk7(t,r):12:4, Wrk8(t,r):12:4, Wrk9(t,r):12:4, Wrk10(t,r):12:4, Wrk11(t,r):12:4, Wrk12(t,r):12:4;
       Put /;
     );
  Put //;
);

Put "Consumers and DHC Cost total (in million yen)"/;
Loop(T,
 Put t.tl/;
  Put "","";
  loop(c,
     Put c.TL;
  );
  Put "DHC";
  Put /;
  Loop(r,
    Put "", r.TL;
    Loop(c,
      Put Cnsm_cost.L(t,r,c):12:4;
    );
    Put DHC_cost.L(t,r):12:4;
    Put /;
  );
  Put //;
);

Put "CO2 emission in million ton"/;
Loop(T,
 Put t.tl/;
  Put "","";
  loop(c,
     Put c.TL;
  );
  Put "DHC";
  Put /;
  Loop(r,
    Put "", r.TL;
    Loop(c,
      Put Cnsm_cO2.L(t,r,c):12:4;
    );
    Put DHC_CO2.L(t,r):12:4;
    Put /;
  );
  Put //;
);


*--------------


PUT " X_G(t,r,k,i,j) gas for CGS"/;
Loop(T,
 Put t.tl/;
   loop(r,
   Put "","region-",r.TL/;
   loop(k,
     PUT "","","Player", k.TL /;
     PUT "","","   ";
     loop(j,
       PUT j.TL;
      );
      PUT /;
      loop(i,
         put "","",i.TL;
         loop(j,
            put x_g.L(t,r,k,i,j):12:4;
         );
         PUT /;
       );
       PUT //;
    );
  );
);

PUT " Str_Btry(t,r,k,i,j) Stored Electric power"/;
Loop(T,
 Put t.tl/;
loop(r,
 Put "","region-",r.TL/;
 loop(k,
   PUT "","","Player", k.TL /;
   PUT "","","   ";
   loop(j,
      PUT j.TL;
   );
   PUT /;
   loop(i,
      put "","",i.TL;
      loop(j,
         put Str_Btry.L(t,r,k,i,j):12:5;
      );
      PUT /;
   );
  PUT //;
 );
);
);


PUT " Dsc_Btry(t,r,k,i,j) Discharged power"/;
Loop(T,
 Put t.tl/;
loop(r,
 Put "","region-",r.TL/;
 loop(k,
   PUT "","","Player", k.TL /;
   PUT "","","   ";
   loop(j,
      PUT j.TL;
   );
   PUT /;
   loop(i,
      put "","",i.TL;
      loop(j,
         put Dsc_Btry.L(t,r,k,i,j):12:5;
      );
      PUT /;
   );
  PUT //;
 );
);
);

PUT " Chg_Btry(t,r,k,i,j) Ccharged power"/;
Loop(T,
 Put t.tl/;
loop(r,
 Put "","region-",r.TL/;
 loop(k,
   PUT "","","Player", k.TL /;
   PUT "","","   ";
   loop(j,
      PUT j.TL;
   );
   PUT /;
   loop(i,
      put "","",i.TL;
      loop(j,
         put Chg_Btry.L(t,r,k,i,j):12:5;
      );
      PUT /;
   );
  PUT //;
 );
);
);



PUT " X_ex(t,r,k,i,j) electricity export of CGS"/;
Loop(T,
 Put t.tl/;
  loop(r,
 Put "","region-",r.TL/;
 loop(k,
   PUT "","","Player", k.TL /;
   PUT "","","   ";
   loop(j,
      PUT j.TL;
   );
   PUT /;
   loop(i,
      put "","",i.TL;
      loop(j,
         put x_c_ex.L(t,r,k,i,j):12:4;
      );
      PUT /;
   );
  PUT //;
 );
);
);

PUT " X_im(t,r,k,i,j) electricity import of CGS"/;
Loop(T,
 Put t.tl/;
loop(r,
 Put "","region-",r.TL/;
 loop(k,
   PUT "","","Player", k.TL /;
   PUT "","","   ";
   loop(j,
      PUT j.TL;
   );
   PUT /;
   loop(i,
      put "","",i.TL;
      loop(j,
         put x_c_im.L(t,r,k,i,j):12:4;
      );
      PUT /;
   );
  PUT //;
 );
);
);

PUT " gas_D(t,r,k,i,j) Total gas demand"/;
Loop(T,
 Put t.tl/;
loop(r,
 Put "","region-",r.TL/;
 loop(k,
   PUT "","","Player", k.TL /;
   PUT "","","   ";
   loop(j,
      PUT j.TL;
   );
   PUT /;
   loop(i,
      put "","",i.TL;
      loop(j,
         put gas_d.L(t,r,k,i,j):12:4;
      );
      PUT /;
   );
  PUT //;
 );
);
);

PUT " Y(t,r,c,i,j) purchased electric power"/;
Loop(T,
 Put t.tl/;
loop(r,
 Put "","region-",r.TL/;
 loop(c,
   PUT "","","Consumer", c.TL /;
   PUT "","","   ";
   loop(j,
      PUT j.TL;
   );
   PUT /;
   loop(i,
      put "","",i.TL;
      loop(j,
         put y.L(t,r,c,i,j):12:4;
      );
      PUT /;
   );
  PUT //;
 );
);
);

UtilElc_T(t,r,c)=sum(i,sum(j, y.L(t,r,c,i,j)*i_hours(i)*j_days(j)/1000.));

Put "Total power supply from utility in MWh"/;
Loop(T,
 Put t.tl/;
  Put "","";
  loop(c,
     Put c.TL;
  );
  Put /;
  Loop(r,
    Put "", r.TL;
    Loop(c,
      Put UtilElc_T(t,r,c):12:4;
    );
    Put /;
  );
  Put //;
);


 Elc_r_Dmd(t,r,i,j)=sum(c,y.L(t,r,c,i,j));

PUT " Elc_r_Dmd(t,r,i,j) purchased electric power; region total"/;
Loop(T,
 Put t.tl/;
loop(r,
 Put "","region-",r.TL/;
   PUT "","","   ";
   loop(j,
      PUT j.TL;
   );
   PUT /;
   loop(i,
      put "","",i.TL;
      loop(j,
         put Elc_r_Dmd(t,r,i,j):12:4;
      );
      PUT /;
   );
  PUT //;
);
);
 Elc_T_Dmd(t,i,j)=sum(r, sum(c, y.L(t,r,c,i,j)));

PUT " Elc_T_Dmd(t,i,j) purchased electric power; region total"/;
Loop(T,
 Put t.tl/;
   PUT "","","   ";
   loop(j,
      PUT j.TL;
   );
   PUT /;
   loop(i,
      put "","",i.TL;
      loop(j,
         put Elc_T_Dmd(t,i,j):12:4;
      );
      PUT /;
   );
  PUT //;
);

PUT " TD_el_spl(t,i,j) total power supply from DHC to utility; region total"/;
   PUT "","","   ";
Loop(T,
 Put t.tl/;
   Put "","","";
   loop(j,
      PUT j.TL;
   );
   PUT /;
   loop(i,
      put "","",i.TL;
      loop(j,
         put TD_el_spl.L(t,i,j):12:4;
      );
      PUT /;
   );
  PUT //;
);

PUT " D_hw_im(t,r,c,i,j) Hot water supply of DHC"/;

Loop(T,
 Put t.tl/;
loop(r,
 Put "","region-",r.TL/;
 loop(c,
   PUT "","Player", c.TL /;
   PUT "","   ";
   loop(j,
      PUT j.TL;
   );
   PUT /;
   loop(i,
      put "",i.TL;
      loop(j,
         put D_hw_im.L(t,r,c,i,j):12:4;
      );
      PUT /;
   );
  PUT //;
 );
);
);

PUT " D_hr_im(t,r,c,i,j) Hot water supply for room heating of DHC"/;
Loop(T,
 Put t.tl/;
loop(r,
 Put "","region-",r.TL/;
 loop(c,
   PUT "","","Player", c.TL /;
   PUT "","","   ";
   loop(j,
      PUT j.TL;
   );
   PUT /;
   loop(i,
      put "","",i.TL;
      loop(j,
         put D_hr_im.L(t,r,c,i,j):12:4;
      );
      PUT /;
   );
  PUT //;
 );
);
);

PUT " D_c_im(t,r,c,i,j) Cold water supply of DHC"/;
Loop(T,
 Put t.tl/;
loop(r,
 Put "","region-",r.TL/;
 loop(c,
   PUT "","","Player", c.TL /;
   PUT "","","   ";
   loop(j,
      PUT j.TL;
   );
   PUT /;
   loop(i,
      put "","",i.TL;
      loop(j,
         put D_c_im.L(t,r,c,i,j):12:4;
      );
      PUT /;
   );
  PUT //;
 );
);
);

PUT " c_h_hw(t,r,c,i,j) Hot water supply of CGS"/;
Loop(T,
 Put t.tl/;
loop(r,
 Put "","region-",r.TL/;
 loop(c,
   PUT "","","Player", c.TL /;
   PUT "","","   ";
   loop(j,
      PUT j.TL;
   );
   PUT /;
   loop(i,
      put "","",i.TL;
      loop(j,
         put c_h_hw.L(t,r,c,i,j):12:4;
      );
      PUT /;
   );
  PUT //;
 );
);
);

PUT " c_h_rh(t,r,c,i,j) Hot water supply for room heating CGS"/;
Loop(T,
 Put t.tl/;
loop(r,
 Put "","region-",r.TL/;
 loop(c,
   PUT "","","Player", c.TL /;
   PUT "","","   ";
   loop(j,
      PUT j.TL;
   );
   PUT /;
   loop(i,
      put "","",i.TL;
      loop(j,
         put c_h_rh.L(t,r,c,i,j):12:4;
      );
      PUT /;
   );
  PUT //;
 );
);
);

PUT " c_h_rc(t,r,c,i,j) Cold water supply of CGS"/;
Loop(T,
 Put t.tl/;
loop(r,
 Put "","region-",r.TL/;
 loop(c,
   PUT "","","Player", c.TL /;
   PUT "","","   ";
   loop(j,
      PUT j.TL;
   );
   PUT /;
   loop(i,
      put "","",i.TL;
      loop(j,
         put c_h_rc.L(t,r,c,i,j):12:4;
      );
      PUT /;
   );
  PUT //;
 );
);
);

PUT " HP_cr(t,r,c,i,j) elec Heat pump room cooling supply"/;
Loop(T,
 Put t.tl/;
loop(r,
 Put "","region-",r.TL/;
 loop(c,
   PUT "","","Player", c.TL /;
   PUT "","","   ";
   loop(j,
      PUT j.TL;
   );
   PUT /;
   loop(i,
      put "","",i.TL;
      loop(j,
         put HP_cr.L(t,r,c,i,j):12:4;
      );
      PUT /;
   );
  PUT //;
 );
);
);

PUT " HP_hr(t,r,c,i,j) elec Heat pump room heating supply"/;
Loop(T,
 Put t.tl/;
loop(r,
 Put "","region-",r.TL/;
 loop(c,
   PUT "","","Player", c.TL /;
   PUT "","","   ";
   loop(j,
      PUT j.TL;
   );
   PUT /;
   loop(i,
      put "","",i.TL;
      loop(j,
         put HP_hr.L(t,r,c,i,j):12:4;
      );
      PUT /;
   );
  PUT //;
 );
);
);

PUT " Absc_cr(r,k,i,j) absorbtion refrigerator supply"/;
Loop(T,
 Put t.tl/;
loop(r,
 Put "","region-",r.TL/;
 loop(k,
   PUT "","","Player", k.TL /;
   PUT "","","   ";
   loop(j,
      PUT j.TL;
   );
   PUT /;
   loop(i,
      put "","",i.TL;
      loop(j,
         put Absc_cr.L(t,r,k,i,j):12:4;
      );
      PUT /;
   );
  PUT //;
 );
);
);
*2012 d͎vǉ--------------------------------------------------------------
ELC_D(t,r,c,i,j)=D_eo(t,r,c,i,j)+HP_cr.L(t,r,c,i,j)+HP_hr.L(t,r,c,i,j)+D_ep(t,r,c,i,j);


ELC_Out_T(t,r,c)=sum(i, sum(j, i_hours(i)*j_days(j)/1000.*ELC_D(t,r,c,i,j) ));
Put "Total Elc demand(D_eo(t,r,c,i,j)+HP_cr(t,r,c,i,j)+HP_hr(t,r,c,i,j)+D_ep(t,r,c,i,j)in GWh"/;

Loop(T,
 Put t.tl/;
  Put "","";
  loop(c,
     Put c.TL;
  );
  Put /;
  Loop(r,
    Put "", r.TL;
    Loop(c,
      Put ELC_Out_T(t,r,c):12:4;
    );
    Put /;
  );
  Put //;
);

PUT "ELC_D(t,r,c,i,j)=D_eo(t,r,c,i,j)+HP_cr.L(t,r,c,i,j)+HP_hr.L(t,r,c,i,j)+D_ep(t,r,c,i,j) "/;
Loop(T,
 Put t.tl/;
   loop(r,
   Put "","region-",r.TL/;
   loop(c,
     PUT "","","Player", c.TL /;
     PUT "","","   ";
     loop(j,
       PUT j.TL;
      );
      PUT /;
      loop(i,
         put "","",i.TL;
         loop(j,
            put ELC_D(t,r,c,i,j):12:4;
         );
         PUT /;
       );
       PUT //;
    );
  );
);








*--------------------------------------------------------------------

*2012 12.6Gߕʓd͎vǉ----------------------------------------

Elc_Dmd(t,i,j)=sum(r, sum(c, ELC_D(t,r,c,i,j)));

PUT " Elc_Dmd(t,i,j) D_eo(t,r,c,i,j)+HP_cr.L(t,r,c,i,j)+HP_hr.L(t,r,c,i,j)+ D_ep(t,r,c,i,j)"/;
Loop(T,
 Put t.tl/;
   PUT "","","   ";
   loop(j,
      PUT j.TL;
   );
   PUT /;
   loop(i,
      put "","",i.TL;
      loop(j,
         put Elc_Dmd(t,i,j):12:4;
      );
      PUT /;
   );
  PUT //;
);

*------------------------------------------------------------------

*Gߕʑzo-----------------------------------------------------
PV_Output(t,r,c,i,j)=Solar_PWr(r,c,i,j)*PV_cap.L(t,r,c);

PV_Out(t,i,j)=sum(r, sum(c, PV_Output(t,r,c,i,j)));

PUT "PV output region total Solar_PWr(r,c,i,j)*PV_cap.L(t,r,c)"/;
Loop(T,
 Put t.tl/;
   PUT "","","   ";
   loop(j,
      PUT j.TL;
   );
   PUT /;
   loop(i,
      put "","",i.TL;
      loop(j,
         put PV_Out(t,i,j):12:4;
      );
      PUT /;
   );
  PUT //;
);


*-------------------------------------------------------------


Put "PV installation area in 1000m2"/;
Loop(T,
 Put t.tl/;
  Put "","";
  loop(c,
     Put c.TL;
  );
  Put /;
  Loop(r,
    Put "", r.TL;
    Loop(c,
      Put PV_cap.L(t,r,c):12:4;
    );
    Put /;
  );
  Put //;
);

* 2018 11 18

Put "Energy Equipment installation in kW"/;
Loop(T,
 Put t.tl/;
  loop(c,
     Put "",c.TL;
     Put /;
     Put "","","","CGS","Gas heater", "Gas boiler","Absorp.chiller","HeatPump","PV","Heat echanger","HotWater trans.",
         "Chilled water trans","HP for River", "HP for Ground","HP for Subway"/
     Loop(r,
       Put "","", r.TL;
          Put x_cap.L(t,r,c):12:4, g_hr_cap.L(t,r,c):12:4, g_bo_cap.L(t,r,c):12:4,Absc_cap.L(t,r,c):12:4 ,
              HP_cap.L(t,r,c):12:4, PV_cap.L(t,r,c):12:4,HX.L(t,r,c):12:4, HW_tr_cap.L(t,r,c):12:4,
              CW_tr_cap.L(t,r,c):12:4, RvHP_cap.L(t,r,c):12:4, GdHP_cap.L(t,r,C):12:4, SwHP_cap.L(t,r,c):12:4;
       Put /;
     );
  );
  Put //;
);

  wrk1(t,r)=sum(c, x_cap.L(t,r,c) );
  wrk2(t,r)=sum(c, g_hr_cap.L(t,r,c) );
  wrk3(t,r)=sum(c, g_bo_cap.L(t,r,c) );
  wrk4(t,r)=sum(c, Absc_cap.L(t,r,c) );
  wrk5(t,r)=sum(c, HP_cap.L(t,r,c) );
  wrk6(t,r)=sum(c, PV_cap.L(t,r,c) );
  wrk7(t,r)=sum(c, HX.L(t,r,c) );
  wrk8(t,r)=sum(c, HW_tr_cap.L(t,r,c) );
  wrk9(t,r)=sum(c, CW_tr_cap.L(t,r,c) );

  wrk10(t,r)=sum(c, RvHP_cap.L(t,r,c) );
  wrk11(t,r)=sum(c, GdHP_cap.L(t,r,c) );
  wrk12(t,r)=sum(c, SWhp_cap.L(t,r,c) );

Loop(T,
 Put t.tl/;
     Put "","Consumer total";
     Put /;
     Put "","","","CGS","Gas heater", "Gas boiler","Absorp.chiller","HeatPump","PV","Heat echanger","HotWater trans.",
         "Chilled water trans","HP for River", "HP for Ground","HP for Subway"/
     Loop(r,
       Put "","", r.TL;
          Put Wrk1(t,r):12:4, Wrk2(t,r):12:4, Wrk3(t,r):12:4, Wrk4(t,r):12:4, Wrk5(t,r):12:4, Wrk6(t,r):12:4, 
          Put Wrk7(t,r):12:4, Wrk8(t,r):12:4, Wrk9(t,r):12:4, Wrk10(t,r):12:4, Wrk11(t,r):12:4, Wrk12(t,r):12:4, 
       Put /;
     );
  Put //;
);

  wrk1(t,r)=sum(k, x_cap.L(t,r,k) );
  wrk2(t,r)=sum(c, g_hr_cap.L(t,r,c) );
  wrk3(t,r)=sum(c, g_bo_cap.L(t,r,c) )+D_gbo_cap.L(t,r);
  wrk4(t,r)=sum(k, Absc_cap.L(t,r,k) );
  wrk5(t,r)=sum(c, HP_cap.L(t,r,c) );
  wrk6(t,r)=sum(c, PV_cap.L(t,r,c) );
  wrk7(t,r)=sum(k, HX.L(t,r,k) );
  wrk8(t,r)=sum(c, HW_tr_cap.L(t,r,c) );
  wrk9(t,r)=sum(c, CW_tr_cap.L(t,r,c) );

  wrk10(t,r)=sum(k, RvHP_cap.L(t,r,k) );
  wrk11(t,r)=sum(k, GdHP_cap.L(t,r,k) );
  wrk12(t,r)=sum(c, SWhp_cap.L(t,r,c) );

Loop(T,
 Put t.tl/;
     Put "","Region total";
     Put /;
     Put "","","","CGS","Gas heater", "Gas boiler","Absorp.chiller","HeatPump","PV","Heat echanger","HotWater trans.",
         "Chilled water trans","HP for River", "HP for Ground","HP for Subway"/
     Loop(r,
       Put "","", r.TL;
          Put Wrk1(t,r):12:4, Wrk2(t,r):12:4, Wrk3(t,r):12:4, Wrk4(t,r):12:4, Wrk5(t,r):12:4, Wrk6(t,r):12:4, 
          Put Wrk7(t,r):12:4, Wrk8(t,r):12:4, Wrk9(t,r):12:4, Wrk10(t,r):12:4, Wrk11(t,r):12:4, Wrk12(t,r):12:4, 
       Put /;
     );
  Put //;
);



 PV_Output(t,r,c,i,j)=Solar_PWr(r,c,i,j)*PV_cap.L(t,r,c);



* 2011 12 22 PV output year total

 PV_Out_T(t,r,c)=sum(i, sum(j, i_hours(i)*j_days(j)/1000.*PV_Output(t,r,c,i,j) ));

Put "PV output year total in MWh"/;
Loop(T,
 Put t.tl/;
  Put "","";
  loop(c,
     Put c.TL;
  );
  Put /;
  Loop(r,
    Put "", r.TL;
    Loop(c,
      Put PV_Out_T(t,r,c):12:4;
    );
    Put /;
  );
  Put //;
);

* 2012 11 20 PV potential cost
Put "PV lower bound constraint shadow price"/;
Put "","","Marginal cost"/;
Loop(T,
  Put "", t.tl, PV_LO_DEF.M(T)/;
);
PUT //;


PUT " PV power generation (t,r,c,i,j) PV power generation"/;
Loop(T,
 Put t.tl/;
loop(r,
 Put "","region-",r.TL/;
 loop(c,
   PUT "","","Player", c.TL /;
   PUT "","","   ";
   loop(j,
      PUT j.TL;
   );
   PUT /;
   loop(i,
      put "","",i.TL;
      loop(j,
         put PV_Output(t,r,c,i,j):12:4;
      );
      PUT /;
   );
  PUT //;
 );
);
);

** 2015 12 8 expanded
PUT " Hw_Trs_TL(t,r,i,j) hot water import from other regions ; total"/;
Loop(T,
 Put t.tl/;
loop(r,
 Put "","region-",r.TL/;
   PUT "","","   ";
   loop(j,
      PUT j.TL;
   );
   PUT /;
   loop(i,
      put "","",i.TL;
      loop(j,
         put Hw_Trs_TL(t,r,i,j):12:4;
      );
      PUT /;
   );
  PUT //;
);
);
 Elc_T_Dmd(t,i,j)=sum(r, Hw_Trs_TL(t,r,i,j));

PUT " Hw_Trs_RTL(t,i,j) hot water import from other regions ; region total"/;
Loop(T,
 Put t.tl/;
   PUT "","","   ";
   loop(j,
      PUT j.TL;
   );
   PUT /;
   loop(i,
      put "","",i.TL;
      loop(j,
         put Elc_T_Dmd(t,i,j):12:4;
      );
      PUT /;
   );
  PUT //;
);

PUT " Cw_Trs_TL(t,r,i,j) chilled water import from other regions ; total"/;
Loop(T,
 Put t.tl/;
loop(r,
 Put "","region-",r.TL/;
   PUT "","","   ";
   loop(j,
      PUT j.TL;
   );
   PUT /;
   loop(i,
      put "","",i.TL;
      loop(j,
         put Cw_Trs_TL(t,r,i,j):12:4;
      );
      PUT /;
   );
  PUT //;
);
);
 Elc_T_Dmd(t,i,j)=sum(r, Hw_Trs_TL(t,r,i,j));

PUT " Cw_Trs_RTL(t,i,j) chilled water import from other regions ; region total"/;
Loop(T,
 Put t.tl/;
   PUT "","","   ";
   loop(j,
      PUT j.TL;
   );
   PUT /;
   loop(i,
      put "","",i.TL;
      loop(j,
         put Elc_T_Dmd(t,i,j):12:4;
      );
      PUT /;
   );
  PUT //;
);


PUT " D_WST_E(t,r,i,j) Power Generation Heat from Waste Burning"/;
Loop(T,
 Put t.tl/;
loop(r,
 Put "","region-",r.TL/;
   PUT "","","   ";
   loop(j,
      PUT j.TL;
   );
   PUT /;
   loop(i,
      put "","",i.TL;
      loop(j,
         put D_WST_E.L(t,r,i,j):12:4;
      );
      PUT /;
   );
  PUT //;
);
);

PUT " D_WST_H(t,r,i,j) Heat Supply from Waste Burning"/;
Loop(T,
 Put t.tl/;
loop(r,
 Put "","region-",r.TL/;
   PUT "","","   ";
   loop(j,
      PUT j.TL;
   );
   PUT /;
   loop(i,
      put "","",i.TL;
      loop(j,
         put D_WST_H.L(t,r,i,j):12:4;
      );
      PUT /;
   );
  PUT //;
);
);


PUT " DHP_hr(t,r,i,j) Heat Supply from Waste Dwelling"/;
Loop(T,
 Put t.tl/;
loop(r,
 Put "","region-",r.TL/;
   PUT "","","   ";
   loop(j,
      PUT j.TL;
   );
   PUT /;
   loop(i,
      put "","",i.TL;
      loop(j,
         put DHP_hr.L(t,r,i,j):12:4;
      );
      PUT /;
   );
  PUT //;
);
);

PUT " DHP_cr(t,r,i,j) Chilled Water Supply from Waste Dwelling"/;
Loop(T,
 Put t.tl/;
loop(r,
 Put "","region-",r.TL/;
   PUT "","","   ";
   loop(j,
      PUT j.TL;
   );
   PUT /;
   loop(i,
      put "","",i.TL;
      loop(j,
         put DHP_cr.L(t,r,i,j):12:4;
      );
      PUT /;
   );
  PUT //;
);
);

Put "Total capacity of CGS"/;
 Loop(T,
  Put "",t.tl/;
   Put "","";
   Loop(k, Put k.TL);
   Put /;
   Loop(r,
    Put "", Put r.TL;
    Loop(K,
      Put X_CAP.L(t,r,K):12:4;
    );
    Put /;
  );
 );
 Put //;

 Put "Gas heater capacity"/;
 Loop(T,
  Put "",t.tl/;
   Put "","";
   Loop(c, Put c.TL);
   Put /;
   Loop(r,
    Put "", Put r.TL;
    Loop(c,
      Put g_hr_CAP.L(t,r,c):12:4;
    );
    Put /;
  );
 );
 Put //;

 Put "Gas boiler capacity"/;
 Loop(T,
  Put "",t.tl/;
   Put "","";
   Loop(k, Put k.TL);
   Put /;
   Loop(r,
    Put "", Put r.TL;
    Loop(K,
      Put g_bo_CAP.L(t,r,K):12:4;
    );
    Put /;
   );
 );
 Put //;

 Put "Heat Pump capacity"/;
 Loop(T,
  Put "",t.tl/;
   Put "","";
   Loop(c, Put c.TL);
   Put /;
   Loop(r,
    Put "", Put r.TL;
    Loop(c,
      Put HP_CAP.L(t,r,c):12:4;
    );
    Put /;
  );
 );
 Put //;


 Put "River Energy Heat Pump capacity"/;
 Loop(T,
  Put "",t.tl/;
   Put "","";
   Loop(k, Put k.TL);
   Put /;
   Loop(r,
    Put "", Put r.TL;
    Loop(k,
      Put RvHP_CAP.L(t,r,k):12:4;
    );
    Put /;
  );
 );
 Put //;


 Put "Subway heat Energy Heat Pump capacity"/;
 Loop(T,
  Put "",t.tl/;
   Put "","";
   Loop(c, Put c.TL);
   Put /;

   Loop(r,
    Put "", Put r.TL;
    Loop(c,
      Put SwHP_CAP.L(t,r,c):12:4;
    );
    Put /;
  );
 );
 Put //;



 Put "Heat Pump capacity"/;
 Loop(T,
  Put "",t.tl/;
   Put "","";
   Loop(k, Put k.TL);
   Put /;
   Loop(r,
    Put "", Put r.TL;
    Loop(k,
      Put GdHP_CAP.L(t,r,k):12:4;
    );
    Put /;
  );
 );
 Put //;




